## dq 20161210

=== Makefile ===
compile: make-dq.sh
	sh -e make-dq.sh
clean:
	rm -rf build
install:
	sh -e make-install.sh $(DESTDIR)
deb:
	dpkg-buildpackage -b -rfakeroot -us -uc

## dq 20160621

=== debian/changelog ===
dq (20160621-1) unstable; urgency=medium

  * Initial release. (Closes: #825174)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 22 Jun 2016 13:59:46 +0200

=== debian/control ===
Source: dq
Section: net
Priority: standard
Build-Depends: debhelper (>= 9),
               libnacl-dev [amd64] | libnacl-dev [i386],
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://mojzis.com/software/dq/
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dq.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dq.git

Package: dq
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Description: DNS/DNSCurve query tool
 The dq package provides software for DNS/DNSCurve.
 This software is derived from djbdns, adds DNSCurve protection and
 support for IPv6.
 .
 dq is commandline tool similar to dnsq, dnsqr from djbdns.
 Is used to query DNS/DNSCurve server for specific
 type of records about a given domain name.

Package: dqcache
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Description: DNS/DNSCurve recursive server - binaries
 The dq package provides software for DNS/DNSCurve.
 This software is derived from djbdns, adds DNSCurve protection and
 support for IPv6.
 .
 dqcache is recursive DNS/DNSCurve server derived from dnscache.

Package: dqcache-run
Depends: adduser,
         daemontools-run,
         dqcache,
         ${misc:Depends},
Conflicts: dqcache-server,
Architecture: all
Description: DNS/DNSCurve recursive server - running under daemontools
 The dq package provides software for DNS/DNSCurve.
 This software is derived from djbdns, adds DNSCurve protection and
 support for IPv6.
 .
 dqcache-run automatically sets up the dqcache package to provide a
 dqcache service.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -I/usr/include/nacl
LIBS += -lnacl
export LIBS

override_dh_auto_install:
	echo >/dev/null

%:
	dh $@

## dq 20161210

=== debian/changelog ===
dq (20161210-1) unstable; urgency=medium

  * New upstream version 20161210:
      - dqcache: accept connections from all IP addresses,
                 when environment variable $OKCLIENT is set
      - dqcache: duplicate-query suppression, workaround for CVE-2008-4392
      - dqcache: cache servfail responses for 10 seconds
      - dqcache: caches records for at least $MINTTL seconds,
                 when environment variable $MINTTL is set
      - dqcache/dq: crypto_onetimeauth_poly1305 speedup
      - dqcache: added dqcache-start wrapper
      - dq: fixed -T arg (timeout must be an integer between 1 and 60)
  * Added lintian-override for hardening-no-fortify-functions
  * Added lintian-override for no-upstream-changelog
  * debian/rules - print debug log when compilation fails
  * Supervise directory moved /etc -> /var/lib (Closes: #834828)
  * Root directory moved /etc -> /var/lib

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 10 Dec 2016 16:28:15 +0100

dq (20160720-1) unstable; urgency=medium

  * New upstream version 20160720:
      - added strict forwardonly patch
      - removed inet_pton.* files
  * Priority: standard -> optional. (Closes: #829360)
  * dqcache-run: daemontools service renamed to dqcache

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 20 Jul 2016 10:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: dq
 Section: net
-Priority: standard
+Priority: optional
 Build-Depends: debhelper (>= 9),
                libnacl-dev [amd64] | libnacl-dev [i386],
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
@@ -38,7 +38,6 @@
          daemontools-run,
          dqcache,
          ${misc:Depends},
-Conflicts: dqcache-server,
 Architecture: all
 Description: DNS/DNSCurve recursive server - running under daemontools
  The dq package provides software for DNS/DNSCurve.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,8 @@
 override_dh_auto_install:
 	echo >/dev/null
 
+override_dh_auto_build:
+	make || cat build/log
+
 %:
 	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dq-$1\.tar\.gz/ \
  https://github.com/janmojzis/dq/tags .*/v?(\d\S*)\.tar\.gz

## dq 20181021

=== debian/changelog ===
dq (20181021-1) unstable; urgency=medium

  * d/control - bump to standards version 4.2.1
  * d/compat - switched to debhelper 11
  * d/upstream/signing-key.asc - added
  * d/watch - added gpg signature checking
  * d/copyright fixed url http->https
  * d/tests/dqcachetest - added simple autopkgtest
  * d/control - Vcs-* moved to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * d/upstream/metadata - added
  * dqcache pkg. - runs under systemd,
    dqcache-run pkg. - removed and added to
    d/control - dqcache breaks and replaces dqcache-run << 20181021-1
  * d/control - removed build dependency on libnacl-dev
  * New upstream version 20181021:
    - fixed IPSEND6/IPSEND4 env. parsing
    - randomized cached A and AAAA response
    - removed little-endian detection/optimization and added full
      processor independent implementation of poly1305,salsa20
      to fix segmentation faults on armhf architecture

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 24 Oct 2018 15:10:22 +0200

=== debian/control ===
Source: dq
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://mojzis.com/software/dq/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/dq.git
Vcs-Browser: https://salsa.debian.org/debian/dq

Package: dq
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Description: DNS/DNSCurve query tool
 The dq package provides software for DNS/DNSCurve.
 This software is derived from djbdns, adds DNSCurve protection and
 support for IPv6.
 .
 dq is commandline tool similar to dnsq, dnsqr from djbdns.
 Is used to query DNS/DNSCurve server for specific
 type of records about a given domain name.

Package: dqcache
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
Replaces: dqcache-run (<< 20181021-1~)
Breaks: dqcache-run (<< 20181021-1~)
Architecture: any
Description: DNS/DNSCurve recursive server
 The dq package provides software for DNS/DNSCurve.
 This software is derived from djbdns, adds DNSCurve protection and
 support for IPv6.
 .
 dqcache is recursive DNS/DNSCurve server derived from dnscache.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_install:
	echo >/dev/null

override_dh_auto_build:
	dh_auto_build || cat build/log

%:
	dh $@

=== debian/tests/control ===
Tests: dqcachetest
Depends: systemd-sysv, systemd, dqcache, dq
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dq-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/dq/releases .*/(\d\S+)\.tar\.gz

## dq 20220101

=== debian/changelog ===
dq (20220101-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * New upstream version 20220101
  * d/upstream - updated minimal signing-key.asc, removed extra signatures
  * d/compat - bump debhelper compat level to 13 and use debhelper-compat
  * d/control - bump to standards version 4.6.0 (no modifications)
  * d/control - added Rules-Requires-Root: no
  * d/dqcache.service systemd hardening, CapabilityBoundingSet =
    CAP_NET_BIND_SERVICE CAP_SETGID CAP_SETUID CAP_CHOWN CAP_SYS_CHROOT,
    SystemCallFilter=~ptrace,
    PrivateDevices=yes
  * d/tests/dqcachetest - added TCP test query
  * d/tests/dqcachetest - added test if dqcache runs after reboot
  * d/watch - fixed regexp
  * d/dqcache.manpages - man pages moved
    dqcache-{start,makekey}.1 -> dqcache-{start,makekey}.8
  * d/rules - fixed cross-build

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 01 Jan 2022 08:50:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: dq
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/dq/
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/dq.git
 Vcs-Browser: https://salsa.debian.org/debian/dq
+Rules-Requires-Root: no
 
 Package: dq
 Depends: ${misc:Depends},
@@ -22,11 +23,11 @@
  type of records about a given domain name.
 
 Package: dqcache
-Depends: ${misc:Depends},
+Depends: adduser,
+         ${misc:Depends},
          ${shlibs:Depends},
-         adduser,
-Replaces: dqcache-run (<< 20181021-1~)
-Breaks: dqcache-run (<< 20181021-1~)
+Replaces: dqcache-run (<< 20181021-1~),
+Breaks: dqcache-run (<< 20181021-1~),
 Architecture: any
 Description: DNS/DNSCurve recursive server
  The dq package provides software for DNS/DNSCurve.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# crossbuild
ifneq  ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
include /usr/share/dpkg/buildtools.mk
endif

override_dh_auto_install:
	echo >/dev/null

override_dh_auto_configure:
	# backup files
	[ -f 'conf-cc.orig' ] || cp 'conf-cc' 'conf-cc.orig'
	[ -f 'conf-ar.orig' ] || cp 'conf-ar' 'conf-ar.orig'
	echo '$(CC)' > conf-cc
	echo '$(AR)' > conf-ar

override_dh_auto_build:
ifneq  ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	make cross-compile || cat build/log
else
	dh_auto_build || cat build/log
endif

override_dh_auto_clean:
	dh_auto_clean
	mv -f 'conf-cc.orig' 'conf-cc' || :
	mv -f 'conf-ar.orig' 'conf-ar' || :

%:
	dh $@

## dq 20220822

=== debian/changelog ===
dq (20220822-1) unstable; urgency=medium

  * New upstream version 20220822
  * d/control: bump Standards-Version to 4.6.1, no changes

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 22 Aug 2022 20:14:21 +0200

=== debian/tests/control ===
Tests: dqcachetest
Depends: dq,
         dqcache,
         systemd,
         systemd-sysv,
Restrictions: isolation-container, needs-root, needs-reboot

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/dq-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/dq/releases/latest .*/(\d\S+)\.tar\.gz

## dq 20230101

=== debian/changelog ===
dq (20230101-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format:
    + debian/dqcache.lintian-overrides: line 2
    + debian/dq.lintian-overrides: line 2

  [ Jan Mojžíš ]
  * New upstream version 20230101
  * d/t/recursive autopkgtest added, tests recursive DNS queries
  * d/gbp.conf: debian-branch = main

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 01 Jan 2023 09:36:35 +0100

dq (20220822-2) unstable; urgency=medium

  * d/watch fixed url

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 25 Oct 2022 17:26:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/dq/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/dq.git
 Vcs-Browser: https://salsa.debian.org/debian/dq
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,10 @@
          systemd,
          systemd-sysv,
 Restrictions: isolation-container, needs-root, needs-reboot
+
+Tests: recursive
+Depends: dq,
+         dqcache,
+         psmisc,
+         python3-dnslib,
+Restrictions: isolation-container, needs-root

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/dq-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/dq/tags .*/(\d\S+)\.tar\.gz

## dq 20240101

=== Makefile ===
CC?=cc
CFLAGS+=-O3 -fno-strict-overflow -fwrapv -Wno-parentheses -Wundef -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wwrite-strings -Wdeclaration-after-statement -Wshadow -Wno-unused-function -Wno-overlength-strings -Wno-long-long -Wall -pedantic
LDFLAGS?=
DESTDIR?=

BINARIES=dq
BINARIES+=dqcache
BINARIES+=dqcache-makekey
BINARIES+=dqcache-start

all: $(BINARIES)

alloc.o: alloc.c e.h uint64_pack.h crypto_uint64.h uint64_unpack.h byte.h \
 purge.h alloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c alloc.c

base32decode.o: base32decode.c base32decode.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c base32decode.c

blocking.o: blocking.c blocking.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c blocking.c

buffer_2.o: buffer_2.c buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_2.c

buffer.o: buffer.c buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer.c

buffer_put.o: buffer_put.c e.h str.h byte.h buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_put.c

buffer_write.o: buffer_write.c writeall.h buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_write.c

byte.o: byte.c byte.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c byte.c

cache.o: cache.c alloc.h byte.h uint64_pack.h crypto_uint64.h \
 uint64_unpack.h uint32_pack.h crypto_uint32.h uint32_unpack.h seconds.h \
 die.h randombytes.h buffer.h open.h dns.h stralloc.h \
 crypto_auth_siphash24.h e.h cache.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c cache.c

case.o: case.c case.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c case.c

cleanup.o: cleanup.c cleanup.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c cleanup.c

crypto_auth_siphash24.o: crypto_auth_siphash24.c siphash.h \
 crypto_verify_8.h crypto_auth_siphash24.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_auth_siphash24.c

crypto_box_curve25519xsalsa20poly1305.o: \
 crypto_box_curve25519xsalsa20poly1305.c crypto_core_hsalsa20.h \
 crypto_scalarmult_curve25519.h crypto_secretbox_xsalsa20poly1305.h \
 randombytes.h crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_box_curve25519xsalsa20poly1305.c

crypto_core_hsalsa20.o: crypto_core_hsalsa20.c salsa.h crypto_uint32.h \
 uint32_unpack.h cleanup.h crypto_core_hsalsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_core_hsalsa20.c

crypto_onetimeauth_poly1305.o: crypto_onetimeauth_poly1305.c \
 crypto_onetimeauth_poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305.c

crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
 crypto_scalarmult_curve25519.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c

crypto_secretbox_xsalsa20poly1305.o: crypto_secretbox_xsalsa20poly1305.c \
 crypto_onetimeauth_poly1305.h crypto_stream_xsalsa20.h cleanup.h \
 crypto_secretbox_xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_secretbox_xsalsa20poly1305.c

crypto_stream_salsa20.o: crypto_stream_salsa20.c salsa.h crypto_uint32.h \
 crypto_stream_salsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_stream_salsa20.c

crypto_stream_xsalsa20.o: crypto_stream_xsalsa20.c crypto_core_hsalsa20.h \
 crypto_stream_salsa20.h cleanup.h crypto_stream_xsalsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_stream_xsalsa20.c

crypto_verify_16.o: crypto_verify_16.c verify.h crypto_verify_16.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_16.c

crypto_verify_32.o: crypto_verify_32.c verify.h crypto_verify_32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_32.c

crypto_verify_8.o: crypto_verify_8.c verify.h crypto_verify_8.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_8.c

die.o: die.c alloc.h writeall.h die.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c die.c

dns_base32.o: dns_base32.c byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_base32.c

dns_data.o: dns_data.c stralloc.h alloc.h byte.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_data.c

dns_domain.o: dns_domain.c alloc.h byte.h case.h e.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_domain.c

dns_dtda.o: dns_dtda.c stralloc.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_dtda.c

dns_ip.o: dns_ip.c alloc.h byte.h crypto_uint16.h uint16_unpack_big.h \
 base32decode.h hexdecode.h case.h str.h stralloc.h strtoip.h \
 milliseconds.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_ip.c

dns_ipq.o: dns_ipq.c stralloc.h case.h byte.h str.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_ipq.c

dns_iptoname.o: dns_iptoname.c byte.h numtostr.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_iptoname.c

dns_keys.o: dns_keys.c crypto_stream_salsa20.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_keys.c

dns_nonce.o: dns_nonce.c nanoseconds.h randombytes.h uint32_pack.h \
 crypto_uint32.h uint32_unpack.h crypto_uint64.h byte.h purge.h dns.h \
 stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_nonce.c

dns_packet.o: dns_packet.c e.h byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_packet.c

dns_rcip.o: dns_rcip.c milliseconds.h openreadclose.h stralloc.h byte.h \
 env.h strtoip.h strtomultiip.h hasipv6.h xsocket.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_rcip.c

dns_rcrw.o: dns_rcrw.c milliseconds.h env.h byte.h str.h openreadclose.h \
 stralloc.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_rcrw.c

dns_resolve.o: dns_resolve.c milliseconds.h byte.h e.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_resolve.c

dns_sortip.o: dns_sortip.c randommod.h byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_sortip.c

dns_transmit.o: dns_transmit.c alloc.h milliseconds.h xsocket.h hasipv6.h \
 e.h byte.h uint16_pack_big.h crypto_uint16.h uint16_unpack_big.h \
 randombytes.h randommod.h case.h str.h dns.h stralloc.h \
 crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_transmit.c

dns_verbosity.o: dns_verbosity.c stralloc.h writeall.h iptostr.h \
 porttostr.h numtostr.h e.h uint16_unpack_big.h crypto_uint16.h byte.h \
 dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_verbosity.c

dq.o: dq.c dns.h stralloc.h strtonum.h case.h die.h e.h randombytes.h \
 byte.h printpacket.h writeall.h milliseconds.h str.h uint16_pack_big.h \
 crypto_uint16.h uint16_unpack_big.h portparse.h base32decode.h \
 hexdecode.h strtoip.h keyparse.h typeparse.h purge.h \
 crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dq.c

dqcache.o: dqcache.c env.h byte.h xsocket.h hasipv6.h strtoip.h \
 randombytes.h crypto_uint64.h query.h dns.h stralloc.h crypto_uint32.h \
 die.h warn.h e.h numtostr.h strtonum.h cache.h response.h log.h roots.h \
 hexparse.h alloc.h milliseconds.h blocking.h uint16_pack_big.h \
 crypto_uint16.h uint16_unpack_big.h portparse.h droproot.h okclient.h \
 purge.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache.c

dqcache-makekey.o: dqcache-makekey.c randombytes.h writeall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache-makekey.c

dqcache-start.o: dqcache-start.c numtostr.h strtonum.h e.h die.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache-start.c

droproot.o: droproot.c env.h die.h strtonum.h e.h droproot.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c droproot.c

e.o: e.c e.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c e.c

env.o: env.c str.h env.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c env.c

hexdecode.o: hexdecode.c hexdecode.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c hexdecode.c

hexparse.o: hexparse.c hexparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c hexparse.c

iptostr.o: iptostr.c byte.h iptostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c iptostr.c

keyparse.o: keyparse.c hexdecode.h base32decode.h byte.h str.h keyparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c keyparse.c

log.o: log.c buffer.h uint32_unpack_big.h crypto_uint32.h \
 uint16_unpack_big.h crypto_uint16.h e.h byte.h iptostr.h numtostr.h \
 log.h crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c log.c

milliseconds.o: milliseconds.c milliseconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c milliseconds.c

nanoseconds.o: nanoseconds.c nanoseconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c nanoseconds.c

numtostr.o: numtostr.c numtostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c numtostr.c

okclient.o: okclient.c str.h byte.h iptostr.h okclient.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c okclient.c

open_read.o: open_read.c open.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_read.c

openreadclose.o: openreadclose.c open.h e.h byte.h openreadclose.h \
 stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c openreadclose.c

open_trunc.o: open_trunc.c open.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_trunc.c

portparse.o: portparse.c portparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c portparse.c

porttostr.o: porttostr.c crypto_uint16.h porttostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c porttostr.c

printpacket.o: printpacket.c uint16_unpack_big.h crypto_uint16.h e.h \
 byte.h dns.h stralloc.h printrecord.h printpacket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c printpacket.c

printrecord.o: printrecord.c uint16_unpack_big.h crypto_uint16.h \
 uint32_unpack_big.h crypto_uint32.h e.h byte.h dns.h stralloc.h \
 printrecord.h iptostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c printrecord.c

query.o: query.c e.h roots.h log.h crypto_uint64.h case.h cache.h byte.h \
 dns.h stralloc.h uint32_unpack_big.h crypto_uint32.h uint16_unpack_big.h \
 crypto_uint16.h alloc.h response.h query.h strtoip.h iptostr.h xsocket.h \
 hasipv6.h crypto_scalarmult_curve25519.h \
 crypto_box_curve25519xsalsa20poly1305.h purge.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c query.c

randombytes.o: randombytes.c randombytes.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c

randommod.o: randommod.c randombytes.h randommod.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c

response.o: response.c dns.h stralloc.h byte.h uint16_pack_big.h \
 crypto_uint16.h uint32_pack_big.h crypto_uint32.h response.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c response.c

roots.o: roots.c open.h e.h str.h byte.h direntry.h strtoip.h dns.h \
 stralloc.h openreadclose.h roots.h keyparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c roots.c

salsa.o: salsa.c crypto_uint64.h crypto_uint32.h uint32_pack.h \
 uint32_unpack.h cleanup.h salsa.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c salsa.c

seconds.o: seconds.c seconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c seconds.c

siphash.o: siphash.c uint64_pack.h crypto_uint64.h uint64_unpack.h \
 siphash.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c siphash.c

stralloc.o: stralloc.c alloc.h e.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c stralloc.c

str.o: str.c str.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c str.c

strtoip.o: strtoip.c byte.h strtoip.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtoip.c

strtomultiip.o: strtomultiip.c byte.h str.h strtoip.h strtomultiip.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtomultiip.c

strtonum.o: strtonum.c e.h strtonum.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtonum.c

typeparse.o: typeparse.c strtonum.h uint16_pack_big.h crypto_uint16.h \
 case.h dns.h stralloc.h byte.h typeparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c typeparse.c

uint16_pack_big.o: uint16_pack_big.c uint16_pack_big.h crypto_uint16.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint16_pack_big.c

uint16_unpack_big.o: uint16_unpack_big.c uint16_unpack_big.h \
 crypto_uint16.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint16_unpack_big.c

uint32_pack_big.o: uint32_pack_big.c uint32_pack_big.h crypto_uint32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint32_pack_big.c

uint32_pack.o: uint32_pack.c uint32_pack.h crypto_uint32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint32_pack.c

uint32_unpack_big.o: uint32_unpack_big.c uint32_unpack_big.h \
 crypto_uint32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint32_unpack_big.c

uint32_unpack.o: uint32_unpack.c uint32_unpack.h crypto_uint32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint32_unpack.c

uint64_pack.o: uint64_pack.c uint64_pack.h crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint64_pack.c

uint64_unpack.o: uint64_unpack.c uint64_unpack.h crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint64_unpack.c

verify.o: verify.c verify.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c verify.c

warn.o: warn.c writeall.h warn.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c warn.c

writeall.o: writeall.c e.h writeall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c writeall.c

xsocket_accept.o: xsocket_accept.c e.h byte.h hasipv6.h xsocket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_accept.c

xsocket_bind.o: xsocket_bind.c e.h byte.h hasipv6.h xsocket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_bind.c

xsocket_conn.o: xsocket_conn.c e.h byte.h hasipv6.h xsocket.h

=== debian/changelog ===
dq (20240101-1) unstable; urgency=medium

  * New upstream version 20240101
  * d/control: Standards-Version: 4.6.2
  * d/watch: remove filenamemangle and use characters @ANY_VERSION@@ARCHIVE_EXT@
  * d/gbp.conf: add upstream-signatures = on, track-missing = True

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 01 Jan 2024 10:57:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13),
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/dq/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/dq.git
 Vcs-Browser: https://salsa.debian.org/debian/dq
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/.+\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/janmojzis/dq/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## dq 20241027

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 cache.o: cache.c alloc.h byte.h uint64_pack.h crypto_uint64.h \
  uint64_unpack.h uint32_pack.h crypto_uint32.h uint32_unpack.h seconds.h \
- die.h randombytes.h buffer.h open.h dns.h stralloc.h \
+ die.h randombytes.h haslibrandombytes.h buffer.h open.h dns.h stralloc.h \
  crypto_auth_siphash24.h e.h cache.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c cache.c
 
@@ -53,8 +53,9 @@
 
 crypto_box_curve25519xsalsa20poly1305.o: \
  crypto_box_curve25519xsalsa20poly1305.c crypto_core_hsalsa20.h \
- crypto_scalarmult_curve25519.h crypto_secretbox_xsalsa20poly1305.h \
- randombytes.h crypto_box_curve25519xsalsa20poly1305.h
+ crypto_scalarmult_curve25519.h haslib25519.h \
+ crypto_secretbox_xsalsa20poly1305.h randombytes.h haslibrandombytes.h \
+ crypto_box_curve25519xsalsa20poly1305.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_box_curve25519xsalsa20poly1305.c
 
 crypto_core_hsalsa20.o: crypto_core_hsalsa20.c salsa.h crypto_uint32.h \
@@ -66,7 +67,7 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305.c
 
 crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
- crypto_scalarmult_curve25519.h
+ crypto_scalarmult_curve25519.h haslib25519.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c
 
 crypto_secretbox_xsalsa20poly1305.o: crypto_secretbox_xsalsa20poly1305.c \
@@ -120,9 +121,9 @@
 dns_keys.o: dns_keys.c crypto_stream_salsa20.h dns.h stralloc.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_keys.c
 
-dns_nonce.o: dns_nonce.c nanoseconds.h randombytes.h uint32_pack.h \
- crypto_uint32.h uint32_unpack.h crypto_uint64.h byte.h purge.h dns.h \
- stralloc.h
+dns_nonce.o: dns_nonce.c nanoseconds.h randombytes.h haslibrandombytes.h \
+ uint32_pack.h crypto_uint32.h uint32_unpack.h crypto_uint64.h byte.h \
+ purge.h dns.h stralloc.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_nonce.c
 
 dns_packet.o: dns_packet.c e.h byte.h dns.h stralloc.h
@@ -144,8 +145,8 @@
 
 dns_transmit.o: dns_transmit.c alloc.h milliseconds.h xsocket.h hasipv6.h \
  e.h byte.h uint16_pack_big.h crypto_uint16.h uint16_unpack_big.h \
- randombytes.h randommod.h case.h str.h dns.h stralloc.h \
- crypto_box_curve25519xsalsa20poly1305.h
+ randombytes.h haslibrandombytes.h randommod.h case.h str.h dns.h \
+ stralloc.h crypto_box_curve25519xsalsa20poly1305.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_transmit.c
 
 dns_verbosity.o: dns_verbosity.c stralloc.h writeall.h iptostr.h \
@@ -154,21 +155,22 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_verbosity.c
 
 dq.o: dq.c dns.h stralloc.h strtonum.h case.h die.h e.h randombytes.h \
- byte.h printpacket.h writeall.h milliseconds.h str.h uint16_pack_big.h \
- crypto_uint16.h uint16_unpack_big.h portparse.h base32decode.h \
- hexdecode.h strtoip.h keyparse.h typeparse.h purge.h \
+ haslibrandombytes.h byte.h printpacket.h writeall.h milliseconds.h str.h \
+ uint16_pack_big.h crypto_uint16.h uint16_unpack_big.h portparse.h \
+ base32decode.h hexdecode.h strtoip.h keyparse.h typeparse.h purge.h \
  crypto_box_curve25519xsalsa20poly1305.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dq.c
 
 dqcache.o: dqcache.c env.h byte.h xsocket.h hasipv6.h strtoip.h \
- randombytes.h crypto_uint64.h query.h dns.h stralloc.h crypto_uint32.h \
- die.h warn.h e.h numtostr.h strtonum.h cache.h response.h log.h roots.h \
- hexparse.h alloc.h milliseconds.h blocking.h uint16_pack_big.h \
- crypto_uint16.h uint16_unpack_big.h portparse.h droproot.h okclient.h \
- purge.h
+ randombytes.h haslibrandombytes.h crypto_uint64.h query.h dns.h \
+ stralloc.h crypto_uint32.h die.h warn.h e.h numtostr.h strtonum.h \
+ cache.h response.h log.h roots.h hexparse.h alloc.h milliseconds.h \
+ blocking.h uint16_pack_big.h crypto_uint16.h uint16_unpack_big.h \
+ portparse.h droproot.h okclient.h purge.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache.c
 
-dqcache-makekey.o: dqcache-makekey.c randombytes.h writeall.h
+dqcache-makekey.o: dqcache-makekey.c randombytes.h haslibrandombytes.h \
+ writeall.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache-makekey.c
 
 dqcache-start.o: dqcache-start.c numtostr.h strtonum.h e.h die.h
@@ -240,14 +242,14 @@
 query.o: query.c e.h roots.h log.h crypto_uint64.h case.h cache.h byte.h \
  dns.h stralloc.h uint32_unpack_big.h crypto_uint32.h uint16_unpack_big.h \
  crypto_uint16.h alloc.h response.h query.h strtoip.h iptostr.h xsocket.h \
- hasipv6.h crypto_scalarmult_curve25519.h \
+ hasipv6.h crypto_scalarmult_curve25519.h haslib25519.h \
  crypto_box_curve25519xsalsa20poly1305.h purge.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c query.c
 
-randombytes.o: randombytes.c randombytes.h
+randombytes.o: randombytes.c haslibrandombytes.h randombytes.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c
 
-randommod.o: randommod.c randombytes.h randommod.h
+randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c
 
 response.o: response.c dns.h stralloc.h byte.h uint16_pack_big.h \
@@ -324,9 +326,3 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -c writeall.c
 
 xsocket_accept.o: xsocket_accept.c e.h byte.h hasipv6.h xsocket.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_accept.c
-
-xsocket_bind.o: xsocket_bind.c e.h byte.h hasipv6.h xsocket.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_bind.c
-
-xsocket_conn.o: xsocket_conn.c e.h byte.h hasipv6.h xsocket.h

=== debian/changelog ===
dq (20241027-1) unstable; urgency=medium

  * New upstream version 20241027
  * d/copyright: bump copyright year
  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest
  * d/gbp.conf: remove: upstream-signatures = on
  * d/control: add B-D: lib25519-dev, librandombytes-dev
  * d/t/recursive: test also encrypted queries

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 28 Oct 2024 11:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               lib25519-dev,
+               librandombytes-dev,
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://mojzis.com/software/dq/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/dq.git
 Vcs-Browser: https://salsa.debian.org/debian/dq
 Rules-Requires-Root: no

## dq 20250126

=== Makefile ===
CC?=cc
CFLAGS+=-O3 -fno-strict-overflow -fwrapv -Wno-parentheses -Wundef -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wwrite-strings -Wdeclaration-after-statement -Wshadow -Wno-unused-function -Wno-overlength-strings -Wno-long-long -Wall -pedantic -Icryptoint
LDFLAGS?=
CPPFLAGS?=

DESTDIR?=
PREFIX?=/usr/local

INSTALL?=install

BINARIES=dq
BINARIES+=dqcache
BINARIES+=dqcache-makekey
BINARIES+=dqcache-start

all: $(BINARIES)

alloc.o: alloc.c e.h uint64_pack.h cryptoint/crypto_uint64.h \
 uint64_unpack.h byte.h purge.h alloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c alloc.c

base32decode.o: base32decode.c base32decode.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c base32decode.c

blocking.o: blocking.c blocking.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c blocking.c

buffer_2.o: buffer_2.c buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_2.c

buffer.o: buffer.c buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer.c

buffer_put.o: buffer_put.c e.h str.h byte.h buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_put.c

buffer_write.o: buffer_write.c writeall.h buffer.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c buffer_write.c

byte.o: byte.c byte.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c byte.c

cache.o: cache.c alloc.h byte.h uint64_pack.h cryptoint/crypto_uint64.h \
 uint64_unpack.h cryptoint/crypto_uint32.h seconds.h die.h randombytes.h \
 haslibrandombytes.h buffer.h open.h dns.h stralloc.h \
 crypto_auth_siphash24.h e.h cache.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c cache.c

case.o: case.c case.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c case.c

crypto_auth_siphash24.o: crypto_auth_siphash24.c siphash.h \
 crypto_verify_8.h crypto_auth_siphash24.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_auth_siphash24.c

crypto_box_curve25519xsalsa20poly1305.o: \
 crypto_box_curve25519xsalsa20poly1305.c crypto_core_hsalsa20.h \
 crypto_scalarmult_curve25519.h haslib25519.h \
 crypto_secretbox_xsalsa20poly1305.h randombytes.h haslibrandombytes.h \
 crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_box_curve25519xsalsa20poly1305.c

crypto_core_hsalsa20.o: crypto_core_hsalsa20.c salsa.h \
 cryptoint/crypto_uint32.h crypto_core_hsalsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_core_hsalsa20.c

crypto_onetimeauth_poly1305.o: crypto_onetimeauth_poly1305.c \
 cryptoint/crypto_int16.h cryptoint/crypto_uint32.h \
 cryptoint/crypto_uint64.h crypto_onetimeauth_poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_onetimeauth_poly1305.c

crypto_scalarmult_curve25519.o: crypto_scalarmult_curve25519.c \
 crypto_scalarmult_curve25519.h haslib25519.h cryptoint/crypto_uint8.h \
 cryptoint/crypto_uint32.h cryptoint/crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_scalarmult_curve25519.c

crypto_secretbox_xsalsa20poly1305.o: crypto_secretbox_xsalsa20poly1305.c \
 crypto_onetimeauth_poly1305.h crypto_stream_xsalsa20.h \
 crypto_secretbox_xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_secretbox_xsalsa20poly1305.c

crypto_stream_salsa20.o: crypto_stream_salsa20.c salsa.h \
 cryptoint/crypto_uint32.h crypto_stream_salsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_stream_salsa20.c

crypto_stream_xsalsa20.o: crypto_stream_xsalsa20.c crypto_core_hsalsa20.h \
 crypto_stream_salsa20.h crypto_stream_xsalsa20.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_stream_xsalsa20.c

crypto_verify_16.o: crypto_verify_16.c verify.h crypto_verify_16.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_16.c

crypto_verify_32.o: crypto_verify_32.c verify.h crypto_verify_32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_32.c

crypto_verify_8.o: crypto_verify_8.c verify.h crypto_verify_8.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c crypto_verify_8.c

die.o: die.c alloc.h writeall.h die.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c die.c

dns_base32.o: dns_base32.c byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_base32.c

dns_data.o: dns_data.c stralloc.h alloc.h byte.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_data.c

dns_domain.o: dns_domain.c alloc.h byte.h case.h e.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_domain.c

dns_dtda.o: dns_dtda.c stralloc.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_dtda.c

dns_ip.o: dns_ip.c alloc.h byte.h cryptoint/crypto_uint16.h \
 base32decode.h hexdecode.h case.h str.h stralloc.h strtoip.h \
 milliseconds.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_ip.c

dns_ipq.o: dns_ipq.c stralloc.h case.h byte.h str.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_ipq.c

dns_iptoname.o: dns_iptoname.c byte.h numtostr.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_iptoname.c

dns_keys.o: dns_keys.c crypto_stream_salsa20.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_keys.c

dns_nonce.o: dns_nonce.c nanoseconds.h randombytes.h haslibrandombytes.h \
 cryptoint/crypto_uint32.h cryptoint/crypto_uint64.h byte.h purge.h dns.h \
 stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_nonce.c

dns_packet.o: dns_packet.c e.h byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_packet.c

dns_rcip.o: dns_rcip.c milliseconds.h openreadclose.h stralloc.h byte.h \
 env.h strtoip.h strtomultiip.h xsocket.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_rcip.c

dns_rcrw.o: dns_rcrw.c milliseconds.h env.h byte.h str.h openreadclose.h \
 stralloc.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_rcrw.c

dns_resolve.o: dns_resolve.c milliseconds.h byte.h e.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_resolve.c

dns_sortip.o: dns_sortip.c randommod.h byte.h dns.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_sortip.c

dns_transmit.o: dns_transmit.c alloc.h milliseconds.h xsocket.h e.h \
 byte.h cryptoint/crypto_uint16.h randombytes.h haslibrandombytes.h \
 randommod.h case.h str.h dns.h stralloc.h \
 crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_transmit.c

dns_verbosity.o: dns_verbosity.c stralloc.h writeall.h iptostr.h \
 porttostr.h numtostr.h e.h cryptoint/crypto_uint16.h byte.h dns.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dns_verbosity.c

dq.o: dq.c dns.h stralloc.h strtonum.h case.h die.h e.h randombytes.h \
 haslibrandombytes.h byte.h printpacket.h writeall.h milliseconds.h str.h \
 cryptoint/crypto_uint16.h portparse.h base32decode.h hexdecode.h \
 strtoip.h keyparse.h typeparse.h purge.h \
 crypto_box_curve25519xsalsa20poly1305.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dq.c

dqcache.o: dqcache.c env.h byte.h xsocket.h strtoip.h randombytes.h \
 haslibrandombytes.h cryptoint/crypto_uint64.h query.h dns.h stralloc.h \
 cryptoint/crypto_uint32.h die.h warn.h e.h numtostr.h strtonum.h cache.h \
 response.h log.h roots.h hexparse.h alloc.h milliseconds.h blocking.h \
 cryptoint/crypto_uint16.h portparse.h droproot.h okclient.h purge.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache.c

dqcache-makekey.o: dqcache-makekey.c randombytes.h haslibrandombytes.h \
 writeall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache-makekey.c

dqcache-start.o: dqcache-start.c numtostr.h strtonum.h e.h die.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c dqcache-start.c

droproot.o: droproot.c env.h die.h strtonum.h e.h droproot.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c droproot.c

e.o: e.c e.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c e.c

env.o: env.c str.h env.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c env.c

hexdecode.o: hexdecode.c hexdecode.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c hexdecode.c

hexparse.o: hexparse.c hexparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c hexparse.c

iptostr.o: iptostr.c byte.h iptostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c iptostr.c

keyparse.o: keyparse.c hexdecode.h base32decode.h byte.h str.h keyparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c keyparse.c

log.o: log.c buffer.h cryptoint/crypto_uint32.h cryptoint/crypto_uint16.h \
 e.h byte.h iptostr.h numtostr.h log.h cryptoint/crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c log.c

milliseconds.o: milliseconds.c milliseconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c milliseconds.c

nanoseconds.o: nanoseconds.c nanoseconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c nanoseconds.c

numtostr.o: numtostr.c numtostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c numtostr.c

okclient.o: okclient.c str.h byte.h iptostr.h okclient.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c okclient.c

open_read.o: open_read.c open.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_read.c

openreadclose.o: openreadclose.c open.h e.h byte.h openreadclose.h \
 stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c openreadclose.c

open_trunc.o: open_trunc.c open.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c open_trunc.c

portparse.o: portparse.c portparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c portparse.c

porttostr.o: porttostr.c cryptoint/crypto_uint16.h porttostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c porttostr.c

printpacket.o: printpacket.c cryptoint/crypto_uint16.h e.h byte.h dns.h \
 stralloc.h printrecord.h printpacket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c printpacket.c

printrecord.o: printrecord.c cryptoint/crypto_uint16.h \
 cryptoint/crypto_uint32.h e.h byte.h dns.h stralloc.h printrecord.h \
 iptostr.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c printrecord.c

purge.o: purge.c purge.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c purge.c

query.o: query.c e.h roots.h log.h cryptoint/crypto_uint64.h case.h \
 cache.h byte.h dns.h stralloc.h cryptoint/crypto_uint32.h \
 cryptoint/crypto_uint16.h alloc.h response.h query.h strtoip.h iptostr.h \
 xsocket.h crypto_scalarmult_curve25519.h haslib25519.h \
 crypto_box_curve25519xsalsa20poly1305.h purge.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c query.c

randombytes.o: randombytes.c randombytes.h haslibrandombytes.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randombytes.c

randommod.o: randommod.c randombytes.h haslibrandombytes.h randommod.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c randommod.c

response.o: response.c dns.h stralloc.h byte.h cryptoint/crypto_uint16.h \
 cryptoint/crypto_uint32.h response.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c response.c

roots.o: roots.c open.h e.h str.h byte.h direntry.h strtoip.h dns.h \
 stralloc.h openreadclose.h roots.h keyparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c roots.c

salsa.o: salsa.c cryptoint/crypto_uint64.h cryptoint/crypto_uint32.h \
 salsa.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c salsa.c

seconds.o: seconds.c seconds.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c seconds.c

siphash.o: siphash.c uint64_pack.h cryptoint/crypto_uint64.h \
 uint64_unpack.h siphash.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c siphash.c

stralloc.o: stralloc.c alloc.h e.h stralloc.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c stralloc.c

str.o: str.c str.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c str.c

strtoip.o: strtoip.c byte.h strtoip.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtoip.c

strtomultiip.o: strtomultiip.c byte.h str.h strtoip.h strtomultiip.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtomultiip.c

strtonum.o: strtonum.c e.h strtonum.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c strtonum.c

typeparse.o: typeparse.c strtonum.h cryptoint/crypto_uint16.h case.h \
 dns.h stralloc.h byte.h typeparse.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c typeparse.c

uint16_optblocker.o: uint16_optblocker.c cryptoint/crypto_uint16.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint16_optblocker.c

uint32_optblocker.o: uint32_optblocker.c cryptoint/crypto_uint32.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint32_optblocker.c

uint64_optblocker.o: uint64_optblocker.c cryptoint/crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint64_optblocker.c

uint64_pack.o: uint64_pack.c uint64_pack.h cryptoint/crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint64_pack.c

uint64_unpack.o: uint64_unpack.c uint64_unpack.h \
 cryptoint/crypto_uint64.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint64_unpack.c

uint8_optblocker.o: uint8_optblocker.c cryptoint/crypto_uint8.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c uint8_optblocker.c

verify.o: verify.c verify.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c verify.c

warn.o: warn.c writeall.h warn.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c warn.c

writeall.o: writeall.c e.h writeall.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c writeall.c

xsocket_accept.o: xsocket_accept.c e.h byte.h xsocket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_accept.c

xsocket_bind.o: xsocket_bind.c e.h byte.h xsocket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_bind.c

xsocket_conn.o: xsocket_conn.c e.h byte.h xsocket.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c xsocket_conn.c

=== debian/changelog ===
dq (20250126-1) unstable; urgency=medium

  * New upstream version 20250126
  * d/copyright: use link to /usr/share/common-licenses/CC0-1.0
  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump my copyright year
  * d/watch: update, use more generic d/watch
  * d/rules: skip auto-install
  * d/{dq,dqcache}.install update
  * d/p/0001-add-missing-int-8-16-32-64-_optblocker.patch add

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 26 Jan 2025 18:15:35 +0100

## dq 20250201

=== debian/changelog ===
dq (20250201-2devuan1) unstable; urgency=medium

  * Merge changes from Debian

 -- Boian Bonev <bbonev@devuan.org>  Wed, 19 Feb 2025 05:09:24 +0000

dq (20250201-2) unstable; urgency=medium

  * d/p/0001-buffer-fix-gcc15-incompatible-pointer-types.patch add,
    fix FTBS with GCC-15 (Closes: 1096542)
  * d/gbp.conf: add upstream-signatures = on

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 18 Feb 2025 19:05:32 +0100

dq (20250201-1devuan1) unstable; urgency=medium

  * Merge changes from Debian

 -- Boian Bonev <bbonev@devuan.org>  Sat, 01 Feb 2025 09:02:13 +0000

dq (20250201-1) unstable; urgency=medium

  * New upstream version 20250201
  * d/p/0001-add-missing-int-8-16-32-64-_optblocker.patch remove,
    fixed in ustream

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 01 Feb 2025 07:58:37 +0100

dq (20250126-1devuan1) unstable; urgency=medium

  * Merge changes from Debian

 -- Boian Bonev <bbonev@devuan.org>  Mon, 27 Jan 2025 01:59:55 +0000

dq (20241027-1devuan1) unstable; urgency=medium

  * Merge changes from Debian

 -- Boian Bonev <bbonev@devuan.org>  Wed, 20 Nov 2024 17:52:48 +0000

dq (20240101-1devuan1) unstable; urgency=medium

  * Merge changes from Debian

 -- Boian Bonev <bbonev@devuan.org>  Mon, 01 Jan 2024 15:46:27 +0000

dq (20230101-1devuan3) unstable; urgency=medium

  * Fix Origin and Vcs-*
  * Override warning for missing signature
  * Use the proper email
  * Change autopkgtests

 -- Boian Bonev <bbonev@devuan.org>  Sat, 11 Mar 2023 22:24:41 +0000

dq (20230101-1devuan2) unstable; urgency=medium

  * Export all set vars from defaults

 -- Boian Bonev <bbonev@devuan.org>  Thu, 09 Mar 2023 22:57:51 +0000

dq (20230101-1devuan1) unstable; urgency=medium

  * Fork and add sysvinit script
  * Bump Standards-Version to 4.6.2, no changes

 -- Boian Bonev <bbonev@devuan.org>  Thu, 09 Mar 2023 09:56:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dq
 Section: net
+Origin: Devuan
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                lib25519-dev,
                librandombytes-dev,
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Maintainer: Boian Bonev <bbonev@devuan.org>
 Homepage: https://mojzis.com/software/dq/
 Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/debian/dq.git
-Vcs-Browser: https://salsa.debian.org/debian/dq
+Vcs-Git: https://git.devuan.org/devuan/dq.git
+Vcs-Browser: https://git.devuan.org/devuan/dq
 Rules-Requires-Root: no
 
 Package: dq
@@ -28,6 +29,8 @@
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends},
+Pre-Depends:
+             ${misc:Pre-Depends},
 Replaces: dqcache-run (<< 20181021-1~),
 Breaks: dqcache-run (<< 20181021-1~),
 Architecture: any

=== debian/tests/control ===
Tests: dqcachetest
Depends: dq,
         dqcache,
Restrictions: isolation-container, needs-root, needs-reboot

Tests: recursive
Depends: curvedns,
         dq,
         dqcache,
         psmisc,
         python3-dnslib,
Restrictions: isolation-container, needs-root
